Project

General

Profile

version 4 has limitted settings features compare vicidial

Added by Ahmed Hassan 19 days ago

why version 4 has limitted reports and settings features ? version 3.3CE was working include vicidial modules and we could make all settings in vicidial module also and use goautodial template for agent only.

but for goautodial v4 version there is not vicidial module working inside, and self v4 settings, features and reports are not enough fot call centers.can we make vicidial 2.14 still work together with goautodial v4 and use it for all settings and reports ?


Replies (8)

RE: version 4 has limitted settings features compare vicidial - Added by Demian Biscocho 18 days ago

GOautodial is not Vicidial. Please don't expect it to have all the features of Vicidial (and vice versa). Most call center use less than 30% of all the features of Vicidial based from our experience.

If you need the web frontend of Vicidial, you can install it manually. The source files are available in /usr/src/goautodial/astguiclient/.

RE: version 4 has limitted settings features compare vicidial - Added by Ahmed Hassan 18 days ago

Demian Biscocho wrote:

GOautodial is not Vicidial. Please don't expect it to have all the features of Vicidial (and vice versa). Most call center use less than 30% of all the features of Vicidial based from our experience.

If you need the web frontend of Vicidial, you can install it manually. The source files are available in /usr/src/goautodial/astguiclient/.

thank you for answer yes we need vicidial admin gui for more setting on conf files, how we can install and working /usr/src/goautodial/astguiclient/ files ?

RE: version 4 has limitted settings features compare vicidial - Added by Demian Biscocho 16 days ago

Please read the Vicidial install instructions:

cat /usr/src/goautodial/astguiclient/INSTALL

RE: version 4 has limitted settings features compare vicidial - Added by George Michalopoulos 10 days ago

hello,

i installed the vicidial files, but when i try to access http://xxx.xxx.xxx.xxx/vicidial/admin.php asks for password..
neither my goadmin/pass nor 666/1234 works..

RE: version 4 has limitted settings features compare vicidial - Added by George Michalopoulos 5 days ago

the same happens here:
http://xxx.xxx.xxx.xxx/agc/vicidial.php

agents and passwords are not recognized...

RE: version 4 has limitted settings features compare vicidial - Added by Demian Biscocho 3 days ago

Can you post the output of mariadb cli:

MariaDB [asterisk]> select user,pass,pass_hash from vicidial_users;

RE: version 4 has limitted settings features compare vicidial - Added by George Michalopoulos 3 days ago

Demian Biscocho wrote:

Can you post the output of mariadb cli:

[...]

MariaDB [asterisk]> select user,pass,pass_hash from vicidial_users;
+---------+------+---------------------------------+
| user    | pass | pass_hash                       |
+---------+------+---------------------------------+
| VDAD    |      |                                 |
| VDCL    |      |                                 |
| goAPI   |      | KToB93bzjGd1RS4mDqePJ6Uk.jgNRrK |
| 1001    |      | lhLwk9o7L0ih5hDBM0REqUuToH8uEru |
| goadmin |      | AjVvT0OmJmPCxXn8gWhDBPt6X2dqAaO |
| 2001    |      | lhLwk9o7L0ih5hDBM0REqUuToH8uEru |
+---------+------+---------------------------------+
6 rows in set (0.00 sec)

RE: version 4 has limitted settings features compare vicidial - Added by Demian Biscocho 3 days ago

You need to put in the plaintext passwords in the "pass" column in the vicidial_users table and disable password encryption to make Vicidial work. This can be a security risk.

MariaDB [asterisk]>update system_settings set pass_hash_enabled=0;
    (1-8/8)
    Go to top